package net.wanji.web.bo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.Pattern;
import java.util.List;

/**
 * @author Kent HAN
 * @date 2023/6/9 13:52
 */
@Data
@ApiModel(value = "AddOrUpdateAreaBO", description = "辖区新增/修改")
public class AddOrUpdateJurisdictionBO {
    @ApiModelProperty(value = "父辖区ID")
    private Integer parentId;
    @ApiModelProperty(value = "辖区ID")
    private Integer areaId;
    @ApiModelProperty(value = "辖区名称", required = true)
    @Pattern(regexp = "^[\\u4E00-\\u9FA5\\w\\-]{0,20}$", message = "辖区名称只能包含中文、英文、数字、下划线和中横线,0~20个字符")
    private String areaName;
    @Pattern(regexp = "^[\\u4E00-\\u9FA5\\w\\-]{0,200}$", message = "辖区名称只能包含中文、英文、数字、下划线和中横线,0~200个字符")
    @ApiModelProperty(value = "备注", required = true)
    private String remark;
    @ApiModelProperty(value = "路口ID数组", required = true)
    private List<String> crossIdList;
    @ApiModelProperty(value = "坐标")
    private String wkt;

}
