package net.wanji.web.bo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import net.wanji.web.vo.specialService.RouteElementVO;

import javax.validation.constraints.Pattern;
import java.util.List;

/**
 * @author Kent HAN
 * @date 2022/11/8 11:01
 */
@Data
@ApiModel(value = "AddSpecialServiceBO", description = "快速特勤-添加特勤输入参数")
public class AddSpecialServiceBO {
    @ApiModelProperty(value = "特勤ID")
    Integer id;
    @ApiModelProperty(value = "特勤名称")
    @Pattern(regexp = "^[\\u4E00-\\u9FA5\\w\\-]{0,16}$", message = "只能包含中文、英文、数字、下划线和中横线,0~16个字符")
    String name;
    @ApiModelProperty(value = "起点坐标，格式：112.968523,28.179455")
    String startLocation;
    @ApiModelProperty(value = "终点坐标，格式：112.968523,28.179455")
    String endLocation;
    @ApiModelProperty(value = "特勤路线")
    List<RouteElementVO> route;
    @ApiModelProperty(value = "关联车辆")
    @Pattern(regexp = "^[\\u4E00-\\u9FA5\\w\\-]{0,16}$", message = "编号只能包含中文、英文、数字、下划线和中横线,0~16个字符")
    String plateNum;
}
