package net.wanji.web.common.enums;

import lombok.Getter;
import lombok.Setter;

/**
 * @author zhouleilei
 * @date 2024/12/7 22:03
 */
public enum CrossDirChangeEnum {
    ONE(1, 5,"北"),
    TWO(2, 6,"东北"),
    THREE(3, 7,"东"),
    FOUR(4, 8,"东南"),
    FIVE(5, 1,"南"),
    SIX(6, 2,"西南"),
    SEVEN(7, 3,"西"),
    EIGHT(8, 4,"西北");

    @Getter
    @Setter
    private final int code;

    @Getter
    @Setter
    private final int dir;

    @Getter
    @Setter
    private final String msg;

    CrossDirChangeEnum(int code,int dir, String msg) {
        this.code = code;
        this.dir = dir;
        this.msg = msg;
    }

    public static CrossDirChangeEnum getMsgByCode(int code) {
        for (CrossDirChangeEnum value : CrossDirChangeEnum.values()) {
            if (value.code == code) {
                return value;
            }
        }
        return null;
    }
}
