package net.wanji.web.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.util.Date;

/**
 *
 * @author Kent HAN
 * @date 2022/12/20 10:17
 */
@Data
public class CrossIdAndTimeDTO {
    @ApiModelProperty(value = "路口ID，如：c7e7b1f352dd4acab4a60088eb391cca", required = true)
    @NotNull(message = "crossId不可为空")
    private String crossId;

    @ApiModelProperty(value = "当前日期时间 yyyy-MM-dd HH:mm:ss", required = true)
    @NotNull(message = "datetime不可为空")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date datetime;
}
