package net.wanji.web.mapper;

import net.wanji.web.po.SpecialServiceCrossPO;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @author Kent HAN
 * @date 2022/11/8 14:48
 */
@Repository
public interface SpecialServiceCrossMapper {
    void insertOne(SpecialServiceCrossPO specialServiceCrossPO);

    Integer getMaxSort(@Param("specialServiceId") Integer specialServiceId);

    String selectCrossIdBySort(@Param("specialServiceId") Integer specialServiceId,
                               @Param("preSort") Integer preSort);

    List<SpecialServiceCrossPO> selectBySpecialServiceId(@Param("specialServiceId") Integer specialServiceId);

    Integer selectStartCrossInDir(@Param("specialServiceId") Integer specialServiceId,
                                 @Param("startCrossid") String startCrossid);

    void updateTurn(@Param("specialServiceId") Integer specialServiceId,
                    @Param("startCrossid") String startCrossid,
                    @Param("turntype") String turntype);

    void updatDir(@Param("specialServiceId") Integer specialServiceId,
                  @Param("crossId") String crossId,
                  @Param("dir") Integer dir);

    void deleteCross(@Param("specialServiceId") Integer specialServiceId,
                     @Param("crossId") String crossId);

    void updateStatusSuccess(@Param("crossId") String crossId);

    void updateStatusFail(String crossId, Integer specialServiceId);

    void updateDir(@Param("specialServiceId") Integer specialServiceId,
                   @Param("endCrossid")String endCrossid,
                   @Param("endDirInt")Integer endDirInt);

    void deleteCrossBySpecialServiceId(@Param("id") Integer id);

    Integer selectSpecialServiceIdByCrossId(String crossId);

    void updateGroupName(String crossId, String groupName, Integer specialServiceId, Integer groupSort);

    void deleteGroup(Integer specialServiceId, String groupName);

    void updateAutoUnlock(String crossId, Integer autoUnlock, Integer specialServiceId, Integer status);

    List<SpecialServiceCrossPO> selectByAutoUnlock();

    List<SpecialServiceCrossPO> selectNoGroup(Integer specialServiceId, String groupName);

    void deleteGroupChangeSort(Integer specialServiceId, String groupName, Integer sort);
}
