package net.wanji.web.mapper;

import net.wanji.web.po.SpecialServicePO;
import net.wanji.web.bo.UpdateSpecialServiceBO;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @author Kent HAN
 * @date 2022/11/8 11:14
 */
@Repository
public interface SpecialServiceMapper {
    void insertOne(SpecialServicePO specialServicePO);

    List<SpecialServicePO> selectByAdCode(@Param("adCode") String adCode);

    void updateSpecialService(UpdateSpecialServiceBO updateSpecialServiceBO);

    void deleteSpecialService(@Param("id") Integer id);

    void updateLength(@Param("specialServiceId") Integer specialServiceId,
                      @Param("roadLength") Double roadLength);

    Double selectRoadLength(@Param("specialServiceId") Integer specialServiceId);

    void updateStatusEnable(@Param("specialServiceId") Integer specialServiceId);

    void updateStatusDisable(@Param("specialServiceId") Integer specialServiceId);

    List<SpecialServicePO> selectAll();

    SpecialServicePO selectById(Integer specialServiceId);

    void updateOne(SpecialServicePO specialServicePO);

    SpecialServicePO selectByName(String specialServiceName);

    List<SpecialServicePO> selectExec();

    SpecialServicePO selectIdByPlateNum(String picLicense);
}
