package net.wanji.web.po;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.data.annotation.Id;

import java.util.Date;

/**
 * @author Kent HAN
 * @date 2022/10/26 15:35
 */
@Data
@ApiModel(value = "BaseAreaDataPO", description = "区域信息分钟表实体类")
public class BaseAreaDataPO {
    /** 主键 */
    @Id
    @ApiModelProperty(value = "主键")
    Integer id;

    /** 区域编号 */
    @ApiModelProperty(value = "区域编号")
    String adCode ;

    /** 统计时间：yyyy-MM-dd;HH:mm:ss */
    @ApiModelProperty(value = "统计时间")
    Date adaptTime ;

    /** 交通指数 */
    @ApiModelProperty(value = "交通指数")
    private Double trafficIndex ;

    /** 平均速度 */
    @ApiModelProperty(value = "平均速度")
    private Double speed ;

    /** 优化次数 */
    @ApiModelProperty(value = "优化次数")
    private Double optNum ;

    /** 创建时间 */
    @ApiModelProperty(value = "创建时间")
    private Date gmtCreate ;

    /** 修改时间 */
    @ApiModelProperty(value = "修改时间")
    private Date gmtModified ;
}
