package net.wanji.web.po;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.data.annotation.Id;

import java.util.Date;

/**
 * @author Kent HAN
 * @date 2022/10/27 14:16
 */
@Data
public class GreenwaveRealtimePO {
    /** 绿波编号 */
    @Id
    @ApiModelProperty(name = "绿波编号",notes = "")
    private Integer greenwaveId ;

    /** 绿波名称 */
    @ApiModelProperty(name = "绿波名称",notes = "")
    private String greenwaveName ;

    /** 绿波带宽 */
    @ApiModelProperty(name = "绿波带宽",notes = "")
    private Integer greenwaveWidth ;

    /** 交通状态1;畅通 2 拥挤 3 拥堵 4 严重拥堵 5 未知 */
    @ApiModelProperty(name = "交通状态1",notes = "畅通 2 拥挤 3 拥堵 4 严重拥堵 5 未知")
    private Integer status ;

    /** 交通指数 */
    @ApiModelProperty(name = "交通指数",notes = "")
    private Double trafficIndex ;

    /** 行程速度（km/h） */
    @ApiModelProperty(name = "行程速度（km/h）",notes = "")
    private Double speed ;

    /** 行程时间（秒） */
    @ApiModelProperty(name = "行程时间（秒）",notes = "")
    private Integer trvalTime ;

    /** 停车次数 */
    @ApiModelProperty(name = "停车次数",notes = "")
    private Double stopNumber ;

    /** 拥堵距离（米） */
    @ApiModelProperty(name = "拥堵距离（米）",notes = "")
    private Double congestionLength ;

    /** 拥堵比例 */
    @ApiModelProperty(name = "拥堵比例",notes = "")
    private Double congRate ;

    /** 延误时间（秒） */
    @ApiModelProperty(name = "延误时间（秒）",notes = "")
    private Integer delayTime ;

    /** 坐标 */
    @ApiModelProperty(name = "坐标",notes = "")
    private String wkt ;

    /** 创建时间 */
    @ApiModelProperty(name = "创建时间",notes = "")
    private Date gmtCreate ;

    /** 修改时间 */
    @ApiModelProperty(name = "修改时间",notes = "")
    private Date gmtModified ;
}
