package net.wanji.web.po;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import net.wanji.web.dto.SaveSchemeConfigDTO;

import java.util.List;

/**
 * @ClassName RingPhasePO
 * @Description 根据当前时间返回相位列表
 * @Author zhouleilei
 * @Date 2024/11/24 15:54
 */
@Data
public class RingPhasePO {
    @ApiModelProperty(value = "路口编号")
    private String crossId;

    @ApiModelProperty(value = "控制模式：1定周期；2绿波协调；3黄闪；4全红；5关灯；6单点自适应；7全感应；8半感应；9行人过街")
    private Integer controlMode;

    @ApiModelProperty(value = "优化前的方案列表")
    private List<SaveSchemeConfigDTO.PhaseListElement> oriPhaseList;

    @ApiModelProperty(value = "优化后的方案列表")
    private List<SaveSchemeConfigDTO.PhaseListElement> optPhaseList;

}
