package net.wanji.web.po;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.data.annotation.Id;

import java.util.Date;

/**
 * @author Kent HAN
 * @date 2022/11/8 11:09
 */
@Data
public class SpecialServicePO {
    @Id
    @ApiModelProperty(name = "特勤ID",notes = "")
    private Integer id ;
    @ApiModelProperty(name = "特勤名称",notes = "")
    private String name ;
    @ApiModelProperty(name = "关联车辆车牌号",notes = "")
    private String plateNum ;
    @ApiModelProperty(name = "控制类型：1手动；2自动",notes = "")
    private Integer controlModel = 1;
    @ApiModelProperty(name = "特勤线路长度",notes = "")
    private Double length = 0.0 ;
    @ApiModelProperty(name = "特勤状态：1执行；0未执行",notes = "")
    private Integer status = 0 ;
    @ApiModelProperty(value = "起点坐标，格式：112.968523,28.179455")
    String startLocation;
    @ApiModelProperty(value = "终点坐标，格式：112.968523,28.179455")
    String endLocation;
    @ApiModelProperty(name = "是否被删除：1是；0否",notes = "")
    private Integer isDel = 0 ;
    @ApiModelProperty(name = "创建时间",notes = "")
    private Date gmtCreate ;
    @ApiModelProperty(name = "修改时间",notes = "")
    private Date gmtModified ;
}
