package net.wanji.web.service;

import com.github.pagehelper.PageInfo;
import net.wanji.databus.bo.AreaDetailBO;
import net.wanji.databus.vo.AreaInfoVO;
import net.wanji.databus.vo.CrossIdAndNameVO;
import net.wanji.web.bo.AddOrUpdateAreaBO;
import net.wanji.databus.bo.AreaIdBO;
import net.wanji.web.bo.ControlModeBO;
import net.wanji.web.bo.PolygonBO;
import net.wanji.web.bo.SpecialServiceRouteBO;
import net.wanji.databus.vo.AreaDetailVO;
import net.wanji.web.vo.*;

import java.util.List;

/**
 * @desc 路口管理服务
 */
public interface CrossManageService {


    List<CrossIdAndNameVO> selectCrossesByPolygon(PolygonBO polygonBO);

    AreaIdBO addOrUpdateArea(AddOrUpdateAreaBO addOrUpdateAreaBO);

    SelectCrossesByStartEndVO selectCrossesByStartEnd(SpecialServiceRouteBO specialServiceRouteBO);

    void deleteArea(AreaIdBO areaIdBO);

    ListAreaVO listArea();

    PageInfo<AreaDetailVO> areaDetail(AreaDetailBO areaDetailBO) throws Exception;

    List<ControlModeVO> controlModeMenu();

    void updateControlMode(ControlModeBO controlModeBO);

    AreaInfoVO areaInfo(AreaIdBO areaIdBO);
}
