package net.wanji.web.service;

import net.wanji.common.framework.rest.JsonViewObject;
import net.wanji.databus.bo.CrossIdBO;
import net.wanji.web.dto.*;
import net.wanji.web.po.RingPhasePO;
import net.wanji.web.vo.PhaseListByTimeVO;
import net.wanji.web.vo.PhaseListVO;

import java.util.List;

/**
 * @author Kent HAN
 * @date 2022/11/3 16:14
 */
public interface PlanSendService {
    JsonViewObject scheduleSend(ScheduleIdDTO scheduleIdDTO);

    JsonViewObject schemeSend(SchemeIdDTO schemeIdDTO);

    JsonViewObject nextStep(CrossIdBO crossIdBO);

    JsonViewObject lockPhase(CrossIdAndPhaseIdsDTO crossIdAndPhaseIdsDTO);

    JsonViewObject allRedControl(CrossIdBO crossIdBO);

    JsonViewObject yellowLightControl(CrossIdBO crossIdBO);

    JsonViewObject restore(CrossIdAndPhaseIdsDTO crossIdAndPhaseIdsDTO);

    JsonViewObject syncScheme(CrossIdBO crossIdBO) throws Exception;
    /**
    * @Description 全量同步所有路口
    * @Param [type] 1-定时任务同步；2-单路口手动同步；3-页面一键同步所有路口
    * @return void
    **/
    void syncAllCross(int type);

    PhaseListByTimeVO phaseListByTime(CrossIdAndTimeDTO crossIdAndTimeDTO);

//    RingPhasePO phaseListByTimeSingleRing(CrossIdAndTimeDTO crossIdAndTimeDTO);
    RingPhasePO phaseListByTimeSingleRingNew(CrossIdAndTimeDTO crossIdAndTimeDTO);
    RingPhasePO phaseListByTimeRingNew(CrossIdAndTimeDTO crossIdAndTimeDTO);
    List<SaveSchemeConfigDTO.PhaseListElement> phaseListByTimeSingleRing(CrossIdAndTimeDTO crossIdAndTimeDTO);
    PhaseListVO phaseListByTimeSingleRingControlMode(CrossIdAndTimeDTO crossIdAndTimeDTO);

    /**
     * 下发数据到utc数据库
     *
     * @param crossId
     * @return
     */
    JsonViewObject saveToUtc(String crossId) throws Exception;
}
