package net.wanji.web.service;

import net.wanji.databus.po.BaseCrossInfoPO;
import net.wanji.databus.vo.CrossDeviceStatusInfoOutVO;
import net.wanji.databus.vo.OptAreaInfoVO;
import net.wanji.web.vo.situationDetection.*;

import java.text.ParseException;
import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * @author Kent HAN
 * @date 2022/10/26 13:41
 */
public interface SituationDetectionService {
    OptRecordsOutVO optRecords(String adCode, Date adaptTime);

    List<CrossAlarmOutVO> crossAlarm();

    List<EventAlarmOutVO> eventAlarm(Date todayTime) throws ParseException;

    List<ControlHistOutVO> controlHist(String crossId, String currentTime) throws ParseException;

    List<VehicleTraceOutVO> vehicleTrace(String adCode, String currentTime) throws ParseException;

    List<VideoDeviceInfoOutVO> videoDeviceInfo(String adCode);

    List<GreenwaveRealtimeOutVO> greenwaveRealtime(String adCode, String currentTime) throws ParseException;

    Map<String, Map<String, Integer>> allDeviceStatus(String adCode);

    List<CrossDeviceStatusInfoOutVO> crossDeviceStatusInfo();

    BaseCrossInfoPO selectCrossInfoById(String signalId);

    List<JurisdictionAreaTreeVO> jurisdictionTree(Integer areaId, Integer type) throws Exception;

    List<AreaListVO> selectAreaList(Integer areaId);

    List<SignalFaultInfoVO> listSignalFaultInfos(String dealStatus) throws Exception;

    DeviceFaultCountVO countSignalFaultInfos();

    List<SignalOperationModeVO> listSignalControlList(Integer operationMode);

    List<SignalOperationModeCountVO> countSignalControlInfos();

    List<SignalManufacturerCountInfoVO> signalManufacturerInfoCount() throws Exception;

    List<OptAreaInfoVO> areaList();
}
