package net.wanji.web.task;

import lombok.extern.slf4j.Slf4j;
import net.wanji.web.service.impl.PlanSendServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

/**
 * 定时同步方案等静态信息
 *
 * @author zhouleilei
 * @date 2024/12/25 13:01
 */
@Component
@Slf4j
@SuppressWarnings("all")
public class SchemeUpdateTask {
    @Autowired
    private PlanSendServiceImpl planSendService;
    @Scheduled(cron = "0 30 0 * * ?")
    public void runningStatusAlarm() {
        try {
            planSendService.syncAllCross(1);
        } catch (Exception e) {
            throw new RuntimeException(e);
        }
    }
}
