package net.wanji.web.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

/**
 * <p>
 * 路口基础表
 * </p>
 *
 * @author wj
 * @since 2022-11-28
 */
@Data
@ApiModel(value = "BaseCrossInfoVO", description = "增加和修改路口管理输入参数")
public class BaseCrossInfoVO {

    /**
     * 路口ID
     */
    @ApiModelProperty(value = "路口ID", required = true)
    @NotNull(message = "路口ID不可为空", groups = Update.class)
    private String id;

    /**
     * 路口名称
     */
    @ApiModelProperty(value = "路口名称", required = true)
    @NotNull(message = "路口名称不可为空", groups = {Save.class})
    private String name;

    /**
     * 路口类型
     */
    @ApiModelProperty(value = "路口类型", required = true)
    //@NotNull(message = "路口类型不可为空", groups = {Save.class, Update.class})
    private Integer type;

    /**
     * 路口级别
     */
    @ApiModelProperty(value = "路口级别", required = true)
    //@NotNull(message = "路口级别不可为空", groups = {Save.class, Update.class})
    private Integer level;

    /**
     * 行政区划代码
     */
    @ApiModelProperty(value = "行政区划代码")
    //@NotNull(message = "行政区划代码不可为空", groups = {Save.class, Update.class})
    private Integer areaCode;

    /**
     * 行政区划名称
     */
    @ApiModelProperty(value = "行政区划名称", required = true)
    @NotNull(message = "行政区划名称不可为空", groups = {Save.class})
    private String areaName;

    /**
     * 路口位置
     */
    @ApiModelProperty(value = "路口位置", required = true)
    //@NotNull(message = "路口位置不可为空", groups = {Save.class, Update.class})
    private String location;

    /**
     * 是否信控路口：1是；0否
     */
    @ApiModelProperty(value = "是否信控路口：1是；0否", required = true)
    //@NotNull(message = "是否信控路口不可为空", groups = {Save.class, Update.class})
    //@Max(value = 1, message = "是否信控路口：1是；0否", groups = {Save.class, Update.class})
    //@Min(value = 0, message = "是否信控路口：1是；0否", groups = {Save.class, Update.class})
    private Integer isSignal;

    /**
     * 是否启动优化：1是；0否
     */
    @ApiModelProperty(value = "是否启动优化：1是；0否", required = true)
    //@NotNull(message = "是否启动优化不可为空", groups = {Save.class, Update.class})
    //@Max(value = 1, message = "是否启动优化：1是；0否", groups = {Save.class, Update.class})
    //@Min(value = 0, message = "是否启动优化：1是；0否", groups = {Save.class, Update.class})
    private Integer isStart;

    /**
     * 是否下发方案：1是；0否
     */
    @ApiModelProperty(value = "是否下发方案：1是；0否", required = true)
    //@NotNull(message = "是否下发方案不可为空", groups = {Save.class, Update.class})
    //@Max(value = 1, message = "是否下发方案：1是；0否", groups = {Save.class, Update.class})
    //@Min(value = 0, message = "是否下发方案：1是；0否", groups = {Save.class, Update.class})
    private Integer isSend;

    /**
     * 保存的时候校验分组
     */
    public interface Save {
    }

    /**
     * 更新的时候校验分组
     */
    public interface Update {
    }
}
