package net.wanji.web.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;
import net.wanji.web.dto.SaveSchemeConfigDTO;

import java.util.List;

@NoArgsConstructor
@Data
@ApiModel(value = "PhaseListVO", description = "根据当前时间返回相位列表（单环）-新增黃闪模式")
public class PhaseListVO {
    @ApiModelProperty(value = "路口编号")
    private String crossId;

    @ApiModelProperty(value = "控制模式：1定周期；2绿波协调；3黄闪；4全红；5关灯；6单点自适应；7全感应；8半感应；9行人过街")
    private Integer controlMode;

    @ApiModelProperty(value = "相位等信息")
    private List<SaveSchemeConfigDTO.PhaseListElement> phaseListByTime;
}
