package net.wanji.web.vo.scheme;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import net.wanji.databus.po.LaneInfoPO;

import java.util.List;

/**
 * @author Kent HAN
 * @date 2023/1/9 8:56
 */
@Data
@ApiModel(value = "LaneIdsVO", description = "根据灯组查询车道信息返回值")
public class LaneIdsVO {

    @ApiModelProperty(value = "路口ID", required = true)
    private String crossId;

    @ApiModelProperty(value = "方向：1北；2东北；3东；4东南；5南；6西南；7西；8西北")
    private Integer dir;

    @ApiModelProperty(value = "行人灯类型：20行人灯；21行人进口灯；22行人出口灯")
    private Integer pedType;

    @ApiModelProperty(value = "车道列表")
    private List<LaneInfoPO> lanes;
}
