package net.wanji.web.vo.specialService;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * @author Kent HAN
 * @date 2023/5/16 14:27
 */
@NoArgsConstructor
@Data
@ApiModel(value = "SpecialServiceDetailVO", description = "特勤详情")
public class SpecialServiceDetailVO {
    @ApiModelProperty(value = "特勤名称")
    private String name;
    @ApiModelProperty(value = "路口列表")
    private List<CrossListElement> crossList;
    @ApiModelProperty(value = "特勤路线")
    private List<RouteElementVO> route;

    @NoArgsConstructor
    @Data
    public static class CrossListElement {
        @ApiModelProperty(value = "路口名称")
        private String crossName;
        @ApiModelProperty(value = "路口ID")
        private String crossId;
        @ApiModelProperty(value = "路口路线起点")
        private String routeStart;
        @ApiModelProperty(value = "路口路线终点")
        private String routeEnd;
        @ApiModelProperty(value = "锁定状态：1锁定；0解锁")
        private Integer status;
        @ApiModelProperty(name = "自动解锁：1是；0否")
        private Integer autoUnlock ;
        @ApiModelProperty(value = "路口顺序号")
        private Integer sort;
        @ApiModelProperty(value = "路口经度")
        private Double lng;
        @ApiModelProperty(value = "路口纬度")
        private Double lat;
    }
}
